Summary:	Adapt RPM .spec files to PLD Linux coding standard
Name:		adapter
Version:	1.514
Release:	1
License:	GPL
Group:		Applications/File
Source0:	adapter.awk
Source1:	adapter.sh
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Conflicts:	rpm-build-tools < 4.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
adapter adapts RPM .spec files for PLD Linux coding standard.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE1} .

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%build
die() { echo >&2 "$*"; exit 1; }
for f in adapter.sh adapter.awk; do
	v=$(sed -rne 's/.*VERSION="([^"]+)".*/\1/p' $f)
	if [ "$v" != "%{version}" ]; then
		die "VERSION not %{version} in $f"
	fi
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/adapter
%{_libdir}/adapter.awk
%changelog
* Mon Sep 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adapter.git;a=log;h=master

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 6ca0126
- simplify version check

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 57ac2ef
- new package, version 1.514

* Mon Sep 12 2016 Elan Ruusamäe <glen@delfi.ee> 0dc5941
- adapter: some qt5 replacements

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> c1974ca
- Revert "separater parameters and locals"

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> 3fb19c1
- separater parameters and locals

* Mon Aug 22 2016 Elan Ruusamäe <glen@delfi.ee> a5967a4
- fish_compdir, zsh_compdir

* Sun Jul 31 2016 Elan Ruusamäe <glen@delfi.ee> f893e2b
- adapter updates

* Fri May 20 2016 Elan Ruusamäe <glen@delfi.ee> 46db5e0
- adapter: chop # from urls

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> 53dfe16
- adapter: vim folding marks; update package renames

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 44312d7
- python docker renames

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 8f93bef
- subst _pkgdocdir

* Wed Mar 16 2016 Elan Ruusamäe <glen@delfi.ee> 2c829db
- subst python2_version

* Sun Mar 06 2016 Elan Ruusamäe <glen@delfi.ee> 3617cbd
- adapter: subst php_extdir

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> ec93e6c
- nodejs_sitelib subst

* Thu Dec 31 2015 Elan Ruusamäe <glen@delfi.ee> 73561fb
- oxygen name

* Sat Dec 19 2015 Elan Ruusamäe <glen@delfi.ee> 2a43e32
- fix some fedora packages

* Fri Nov 27 2015 Elan Ruusamäe <glen@delfi.ee> a27912c
- some fedoraishms

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 0b87582
- adapter: cleanup r= from sf urls

* Mon Sep 21 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> db07d4c
- adapter.awk: fix %buildrequires_jdk handling

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> dbab64a
- fix python sphinx dep

